classification
Title: Ignored LDFLAGS during linking libpython$(VERSION).so
Type: Stage:
Components: Build Versions: Python 3.0, Python 2.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: gregory.p.smith Nosy List: Arfrever, gregory.p.smith, hawking
Priority: normal Keywords: easy, patch

Created on 2008-08-25 20:28 by Arfrever, last changed 2008-09-22 00:23 by gregory.p.smith. This issue is now closed.

Files
File name Uploaded Description Edit
python-respect_LDFLAGS.patch Arfrever, 2008-08-25 20:28 python-respect_LDFLAGS.patch
ldflags-ldlast-gps01.diff gregory.p.smith, 2008-08-28 04:39 use LDFLAGS and LDLAST when linking shared libraries
Messages (5)
msg71952 - (view) Author: Arfrever Frehtes Taifersar Arahesis (Arfrever) * Date: 2008-08-25 20:28
LDFLAGS are ignored during linking libpython$(VERSION).so.

(LDFLAGS are respected during linking $(BUILDPYTHON) and $(PGEN).)
msg72060 - (view) Author: Gregory P. Smith (gregory.p.smith) * (Python committer) Date: 2008-08-28 04:39
I think this ldflags-ldlast patch (added) is whats really needed.
msg72157 - (view) Author: Arfrever Frehtes Taifersar Arahesis (Arfrever) * Date: 2008-08-29 20:29
I'm confirming that the newer patch also fixes this bug.
msg72313 - (view) Author: Gregory P. Smith (gregory.p.smith) * (Python committer) Date: 2008-09-02 05:31
committed to trunk r66141.

leaving open until i verify that this makes it into py3k and for a
backport to release25-maint.
msg73544 - (view) Author: Gregory P. Smith (gregory.p.smith) * (Python committer) Date: 2008-09-22 00:23
already merged in py3k.

committed to release25-maint in r66547.
History
Date User Action Args
2008-09-22 00:23:05gregory.p.smithsetstatus: open -> closed
resolution: fixed
messages: + msg73544
2008-09-02 05:31:10gregory.p.smithsetkeywords: - needs review
messages: + msg72313
versions: - Python 2.6
2008-08-29 20:29:49Arfreversetmessages: + msg72157
2008-08-29 19:37:05hawkingsetnosy: + hawking
2008-08-28 04:39:34gregory.p.smithsetkeywords: + easy, needs review
files: + ldflags-ldlast-gps01.diff
messages: + msg72060
2008-08-28 04:08:30gregory.p.smithsetpriority: normal
assignee: gregory.p.smith
nosy: + gregory.p.smith
2008-08-25 20:28:02Arfrevercreate